%{?scl:%scl_package python-lit}
%{!?scl:%global pkg_name %{name}}

%global lit_version 14.0.6
#global rc_ver 1
#%%global post_ver 1

%bcond_without check

# FIXME: Work around for rhel not having py2_build/py2_install macro.
%{!?py2_build: %global py2_build %{expand: CFLAGS="%{optflags}" %{__python2} setup.py %{?py_setup_args} build --executable="%{__python2} -s"}}
%{!?py2_install: %global py2_install %{expand: CFLAGS="%{optflags}" %{__python2} setup.py %{?py_setup_args} install -O1 --skip-build --root %{buildroot}}}

Name: %{?scl_prefix}python-lit
Version: %{lit_version}%{?rc_ver:~rc%{rc_ver}}
Release: 1%{?dist}
BuildArch: noarch

License: NCSA
Summary: Tool for executing llvm test suites
URL: https://pypi.python.org/pypi/lit
Source0: %{pypi_source lit %{lit_version}%{?rc_ver:rc%{rc_ver}}%{?post_ver:.post%{post_ver}}}

# for file check
%if %{with check}
BuildRequires: %{?scl_prefix}llvm-test
%endif
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
lit is a tool used by the LLVM project for executing its test suites.

%package -n %{?scl_prefix}python3-lit
Summary: LLVM lit test runner for Python 3
Group: Development/Languages
Requires: python3-setuptools
Provides: %{?scl_prefix}python-lit

%description -n %{?scl_prefix}python3-lit
lit is a tool used by the LLVM project for executing its test suites.

%prep
%autosetup -n lit-%{lit_version}%{?rc_ver:rc%{rc_ver}}%{?post_ver:.post%{post_ver}} -p4

%build
%py3_build

%install
%py3_install "--prefix" "%{_prefix}"

# Strip out #!/usr/bin/env python
sed -i -e '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{?scl:%{_scl_root}}%{python3_sitelib}/lit/*.py

%if %{with check}
%check
# Update paths so we can find the llvm-test tools.
%enable_llvmtoolset14_0

%{__python3} lit.py tests
%endif

%files -n %{?scl_prefix}python3-lit
%license LICENSE.TXT
%doc README.txt
%{?scl:%{_scl_root}}%{python3_sitelib}/*
%{_bindir}/lit


%changelog
* Wed Jun 29 2022 sguelton@redhat.com - 14.0.6-1
- Update to 14.0.6

* Thu Apr 07 2022 sguelton@redhat.com - 14.0.0-1
- Update to 14.0.0

* Wed Feb 02 2022 Tom Stellard <tstellar@redhat.com> - 13.0.1-1
- 13.0.1 Release

* Tue Oct 26 2021 Tom Stellard <tstellar@redhat.com> - 13.0.0-1
- 13.0.0 Release

* Tue Jul 20 2021 sguelton@redhat.com - 12.0.1-1
- LLVM 12.0.1

* Tue Jun 29 2021 sguelton@redhat.com - 12.0.0-1
- llvm 12.0.0

* Fri Jan 22 2021 sguelton@redhat.com - 0.11.1-1
- 0.11.1 Release

* Thu Jul 09 2020 sguelton@redhat.com - 0.10.0-2
- Fix dependencies specifications

* Wed Jul 8 2020 sguelton@redhat.com - 0.10.0-1
- 0.10.0 Release

* Mon Jan 27 2020 Tom Stellard <tstellar@redhat.com> - 0.9.0-1
- 0.9.0 Release

* Tue Jul 30 2019 sguelton@redhat.com - 0.8.0-2
- Fix distributed files

* Thu Jul 25 2019 sguelton@redhat.com - 0.8.0-1
- 0.8.0 Release

* Mon Jan 07 2019 Tom Stellard <tstellar@redhat.com> - 0.7.1-1
- 0.7.1 Release

* Wed Jul 11 2018 Tom Stellard <tstellar@redhat.com> - 0.6.0-2
- Fix install now that the py2_install macro has been added to RHEL7

* Tue Jul 10 2018 Tom Stellard <tstellar@redhat.com> - 0.6.0-1
- 0.6.0 Release

* Tue Jan 09 2018 Tom Stellard <tstellar@redhat.com> - 0.5.1-1
- Rebase to 0.5.1

* Thu Jun 08 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-7
- Build for llvm-toolset-7 rename

* Thu May 18 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-6
- Fix package names

* Wed May 10 2017 Tilmann Scheller <tschelle@redhat.com> - 0.5.0-5
- Next attempt to add runtime dependency on python-setuptools

* Tue May 09 2017 Tilmann Scheller <tschelle@redhat.com> - 0.5.0-4
- Properly add missing runtime dependency to python-setuptools

* Tue May 09 2017 Tilmann Scheller <tschelle@redhat.com> - 0.5.0-3
- Add missing runtime dependency to python-setuptools

* Fri Apr 28 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-2
- Add llvm-toolset-4 scl support

* Thu Mar 09 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-1
- Initial version
